View Issue Details

IDProjectCategoryView StatusLast Update
0018650MediaMonkey 5Main Panelpublic2022-04-07 20:10
Reporterlowlander Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.0.2 
Target Version5.1Fixed in Version5.0.2 
Summary0018650: List (by Album) doesn't manage scroll height correctly
DescriptionWhen in List (by Album) and changing the sorting the scroll height isn't matched to the window content.

1) It can show a large blank space at bottom if going from a larger vertical content to a smaller vertical content
2) It can show cut-off if going from a smaller vertical content to a larger vertical content

So MediaMonkey is not recalculating scroll height based on changed height of content being displayed. This is best reproduced by changing sorting from Album to Title and back as this splits the Albums in Title sort, requiring far more vertical space.
Steps To Reproduce1 Open a node with a few Albums (a Entire Library > Location node was used in testing)
2 Set View to List (by Album)
3 Sort on Album (Leave node and come back if sort was other)
4 Sort on Title
--> Not all files show as scroll doesn't extend far enough down
5 Leave node and come back
--> Scroll works
6 Sort on Album
--> Large blank space is now shown at the bottom (scroll extends to far)
TagsNo tags attached.
Fixed in build2527

Activities

petr

2021-12-09 21:06

developer   ~0066321

Fixed

lowlander

2021-12-10 00:05

developer   ~0066333

Verified that height is now managed as expected when content height changes on sorting.

However there seems to be a little delay when switching sorting to show the content in the extra space created to accommodate the sort. Screencast uploaded, although prior to screencast this was more pronounced (have been unable to reproduce it that severe).